package cn.iocoder.yudao.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 系统枚举
 *
 * @author vinjor-m
 */
@AllArgsConstructor
@Getter
public enum SystemEnum {
    /**
     * 维修系统
     */
    REPAIR("weixiu","04","维修系统","机动车管家小程序"),
    /**
     * 救援系统
     */
    RESCUE("jiuyuan","02","救援系统","机动车管家小程序"),
    /**
     * 驾校系统
     */
    SCHOOL("jiaxiao","03","驾校系统","机动车管家小程序"),
    /**
     * 检测系统
     */
    INSPECTION("jiance","01","检测系统","机动车管家小程序"),
    /**
     * 保险系统
     */
    INSURE("baoxian","06","保险系统","机动车管家小程序");

    /**
     * 系统标识
     */
    private String code;
    /**
     * 对应的客户来源字典值
     */
    private String dataFrom;
    /**
     * 系统名称
     */
    private String name;
    /**
     * 系统别名
     */
    private String appName;

    /**
     * 根据系统标识返回对应的枚举
     * @author vinjor-M
     * @date 14:23 2024/10/16
     * @param sysCode 系统标识
     * @return cn.iocoder.yudao.common.SystemEnum
     **/
    public static SystemEnum getSystem(String sysCode) {
        for (SystemEnum systemEnum : SystemEnum.values()) {
            if (systemEnum.getCode().equalsIgnoreCase(sysCode)) {
                // 找到对应的枚举
                return systemEnum;
            }
        }
        throw new IllegalArgumentException("无效的系统标识：" + sysCode);
    }

}
